Subject: [bug#60571] activating tests for skia 2D graphics library

From: Nicolas Graves <[email-masked]>
Date: Thu, 05 Jan 2023 11:02:42 +0100

Hi guix!

I have a series of patches to activate tests on the SKIA graphics 2D
library.

Originally my goal was to add skia as a dependency to libreoffice and
remove the --without-skia flag, but I didn't want to do that before
being able to test the library change.

It took me quite a while since google uses its own tools in a way that
is hard to package in guix.

There are still some disabled tests that I'm not able to fix myself, but
at least it's testable for most tests. Help and review welcome, at least
one function fails with segmentation fault, but I'm not able to debug
it.

-- 
Best regards,
Nicolas Graves